=== debian/changelog ===
emacs25 (25.1+1-4+deb9u1) stretch-security; urgency=high

  * Block remote code execution via enriched text.  Add
    0012-A-remote-execution-exploit-via-enriched-text-has-bee.patch to
    fix the problem.  Thanks to David Bremner for the alert and
    Salvatore Bonaccorso for reporting the problem to Debian.
    (Closes: 875447)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 13 Sep 2017 01:33:28 -0500

emacs25 (25.1+1-4) unstable; urgency=medium

  * Don't offer/use openssl s_client by default: "s_client is a debug
    tool, it does not set up a secure connection, it ignores all
    errors and just continues.  It also doesn't do checks it should be
    doing.  This is all documented behaviour." -- Kurt Roeckx
    Add 0009-openssl-s_client-is-no-longer-a-default-for-ssl-conn.patch to
    fix the problem.  Thanks to Kurt Roeckx for reporting the issue.
    (Closes: 766397)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 23 Apr 2017 11:49:52 -0500

emacs25 (25.1+1-3) unstable; urgency=medium

  * Configure with REL_ALLOC=no to fix crashes.  Thanks to Santiago
    Vila for reporting the problem, and Sean Whitton for helping test
    the fix. (Closes: 842728)

  * Disable xwidget (webkit) support.  Thanks to David Bremner for
    reporting the issue. (Closes: 843462)

  * Depend on liboss4-salsa-dev on hurd and kfreebsd.  Thanks to Aaron
    M. Ucko for reporting the problem and Svante Signell for providing
    the fix. (Closes: 840702)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 30 Nov 2016 18:15:33 -0600

emacs25 (25.1+1-2) unstable; urgency=medium

  * Respect DEB_BUILD_OPTIONS=nocheck.  Thanks to David Bremner for
    reporting the issue.

  * Don't dh_auto_clean, and run dh_clean first.  Since we don't build
    in the source tree, we shouldn't clean there either, and let
    dh_clean take care of its bits before we stomp around.

  * Install emacs.appdata.xml as emacs25.appdata.xml.

  * Drop emacs23 icons to avoid future path conflicts.  Thanks to
    Tatsuya Kinoshita for reporting the problem. (Closes: 841687)

  * Fix fix for package-test gpg-agent cleanup race.  Specify
    --no-autostart so that we don't start an agent if one wasn't
    already running when we're requesting shutdown, and delete the
    test dir with "rm -rf" to avoid being affected by vanishing
    sockets (sockets that gpg-agent may be deleting in parallel).

  * Add gnupg-agent build-dep for package-test.

  * Don't segfault if gcc expects -nopie instead of -no-pie.  Thanks
    to Lucas Nussbaum and Aaron M. Ucko for reporting the problem, and
    Sven Joachim for tracking down the upstream patch. (Closes:
    841551)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 24 Oct 2016 13:10:40 -0500

emacs25 (25.1+1-1) unstable; urgency=medium

  * Merge upstream version 25.1.
    Remove patches that are no longer needed:
      0006-Look-for-NEWS-in-order-to-find-etc-rather-than-GNU.patch
      0008-Emacs-won-t-assume-grep-supports-GREP_OPTIONS.patch
      0009-Emacs-should-no-longer-hang-during-large-yanks.patch
      0010-ELF-unexec-Correct-section-header-index.patch
      0011-ELF-unexec-Tidy-code.patch
      0012-ELF-unexec-Merge-Alpha-and-MIPS-COFF-debug-handling.patch
      0013-ELF-unexec-Symbol-table-patching.patch
      0014-ELF-unexec-_OBJC_-symbols-in-bss-sections.patch
      0015-ELF-unexec-R_-_NONE-relocs.patch
      0016-ELF-unexec-Drive-from-PT_LOAD-header-rather-than-sec.patch
      0017-ELF-unexec-Don-t-insert-a-new-section.patch
      0018-src-unexelf.c-NEW_PROGRAM_H-Remove-unused-macro-Bug-.patch
      0019-ELF-unexec-align-section-header.patch
      0020-Emacs-should-show-GTK-icons-again.patch
      0021-Emacs-should-work-with-gcc-5.2-and-newer.patch
      0022-Emacs-should-work-with-glibc-2.24-on-ppc64.patch

  * debian/upstream-version: update regex for 25.1.

  * debian/.gitignore: update for 25.1.

  * debian/changelog: change the package name to emacs25.

  * debian/copyright.in: change source archive extension to xz.

  * Update debian control and copyright for 25.1.

  * Stop mangling info files.

  * debian/rules: clean additional files for 25.1.

  * Don't copy missing-file.dfsg to THE-GNU-PROJECT.  THE-GNU-PROJECT
    is now compatible with the DFSG.  Remove missing-file.dfsg
    entirely since it it no longer being used.

  * Bump Debian alternatives priority to 28 for 25.1.

  * Remove ia64 CFLAGS "-O1" workaround.

  * Compute version in strip-nondeterminism fix.  Use $(runtime_ver)
    and $(flavor) instead of 24.5 and emacs24.

  * Fix dh_listpackages in strip-nondeterminism target.

  * Set libmagick build-dep to libmagick++-6.q16-dev.

  * debian/setup-stamp: remove redundant mkdir.

  * Don't default to ALSA support; explicitly request it.

  * Run tests in all three debian/ build trees.

  * Enable xwidget (webkit) support for emacs25.

  * Convert debian/copyright to 1.0; update for 25.1.  Explicitly
    mention the unusual debian/rules copyright, which will be
    addressed via #826347.

  * Add dbus-x11 and procps build-deps for tests.

  * Kill gpg agent in package-test.el to avoid a race.  Add
    0007-Kill-gpg-agent-in-package-test.el-to-avoid-a-race.patch to
    incorporate the fix.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 10 Oct 2016 21:54:59 -0500

emacs24 (24.5+1-7) unstable; urgency=medium

  * debian/control: make Source-Version source:Version.  Thanks to
    Guillem Jover for reporting the problem. (Closes: 833215)

  * Restore GTK+ toolbar icons.
    Add 0020-Emacs-should-show-GTK-icons-again.patch to include the relevant
    upstream code.  Thanks to Juerg Haefliger for reporting the problem and
    pointing out the relevant upstream commit. (Closes: 828000)

  * Fix malloc handling with newer gcc (>= 5.2).
    Add 0021-Emacs-should-work-with-gcc-5.2-and-newer.patch to incorporate
    the relevant upstream code.  Thanks to Aurelien Jarno for reporting the
    problem and backporting the fix.

  * Support glibc 2.24.

