## emacs25 25.1-1

=== debian/changelog ===
emacs25 (25.1-1) unstable; urgency=low

  * Initial release.

 -- Manan Tuli <mt_void@yahoo.com>  Tue, 20 Sep 2016 11:10:11 +0530
