=== debian/control ===
Source: emacs25
Section: user/utilities
Priority: optional
Maintainer: Manan Tuli <mt_void@yahoo.com>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libncurses5-dev, libungif4-dev, libxml2-dev, libxpm-dev, libtiff4-dev, libgconf2-dev, libgtk2.0-dev
Standards-Version: 3.9.3
Homepage: https://www.gnu.org/software/emacs

Package: emacs25
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: emacs24
Conflicts: emacs24
Provides: editor, emacsen, info-browser, mail-reader, news-reader
Description: The GNU Emacs editor
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs for the Maemo platform.
XSBC-Maemo-Display-Name: GNU Emacs
XSBC-Bugtracker: https://talk.maemo.org/showthread.php?t=88135
XB-Maemo-Upgrade-Description: GNU Emacs 25.1
 New upstream release
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAA2xSURBVGiBtVppjBzHdf6qunuOnvveY7i7
 5O5yl1xyecpkRAkwJUVyhFiSjyBInAOBksixAwdOEMB2fgT+lSBxEAMWEhhx
 rBhIgIQ5nEOyDEiCfJAMzUu8llrufXDP2bnvnu56+TEzu3Muh6RSQKMbXdtV
 3/feV++9qlmGj6axnWtMArIc0DjgZ+XuLQJMAvAZwDUBgGqux574cb7lwJDs
 9cIsSR71pP2JcVlWRxWmDDMmucGESgRBJLKGEFs6Fafzpcydq/ELkxaLVIxE
 oAET+uOQeRQCDIAEjJvHeoK+ver4Z+1m52c4TCcYkZkpsm52WEm2KIybFZkM
 IlHSDC1bEMVsTiLdkAhIlUTxfFZL/suNyPkfbmRiaeC+BqDqnf83AhIQsjwd
 fmEwaA9/2SzZf4VLXHbuCXBbt5fZgm5IZlP9F0Tb9iUilNJ5ZCMxJFcjRmY9
 wgSjVFZL/u189s63P1yb2wAWqkQ+UgIMGFP6/V7fcd9TX1EV+xdk1YLgwQHZ
 0RcEk3jzF1QLnkDU/M7QSogtrGBzak43dD2X1GJfvxJ7+7uJhC8LXKtK67EJ
 cKDH8uze588EbUNvyJISCh0fll39QYC1+bwGKNUARgsSRIDQdWzNLNLG9Czp
 pF+dy02/emv5g5lOvCE9CLzfP2J7pufTr/nV8D84e4KOvrNHZavP2Rp8A9Bm
 8PUkqHJn4LB53czd08Wy0XjISY5f73L4bi8kIktA2sAuntiNAPf7R2xnvC99
 zaX4vh46OiQFjw1x3kouTeBbS0biDIGgCqfThHxOhzBE3d/Isgxvby/XC0UT
 8uKzIUfP3EJi495uJNpJiAcCY+qTrhe/6jB7vtJz+iB39AXaU21jdVnmCIed
 6N/rRN+AC+E+J2SlbACtaODuzU28+z+zyGVKdZIjIqxPz9DG3KyIaVu/8ZPF
 d78P3C+0ItGKAAN6rC8O/tJveyzBb/acPsCcfaGOrW42Sdi7z4XBYS/6BpyQ
 ZA6LRQJjDGazBMbrp9xcy+I7f3UFuia2yTMCgYD79yaxeX9B2yotfvLC/Ac/
 AWa0RhItCIyZntl78nS3uv+dwPg+k2+0r2Pw7RZq2bKAInMcO9WNT7wyVDfU
 m/88iWsXVurAo+KJ+Ts3RDyyvjmVuv7k5PqP7gPQa79tFLTUZTe5Qrah76pd
 Xsk70g48Nbi8EXA9MQLB7lAwMOjG0IinabjuPQ4wYlQLvkIGe/Yf4opiCuy1
 Hfxrv3/E2ohZrnlmQNj0se7nviRxZaDnY6NSU6BpYXWrVYbbZYbdYYLFLMFk
 lmG3K3B5LHC5zXC6zHC5zZDkNosfQCapEURzxCICZC5hYPSINHXz0ssH7Mef
 /emW/ANgQmtFgI8Fjvc6zJ4/Co7vk2RLY0atsQwDTj0ZxpFjQQSCaltgnbS1
 pRQuv7/cNsSCAIfTA4+/m4yo+HOXK/3jZBI6KvmhSoABYdOw58DvcUVS3IPd
 DeDro8ypn+vFcy8MdAyykNORy5WQz1auyvPSbJKmbkaga8au4RcE9PTvZ7HI
 yv7Djqd/4Xzyxr9VvbBNIGTvc6gm56v+gwMy4xV3t4ntbre5LVhdF5iaiGJ1
 OYW15TTWllMoZPW6ELuj9Vbjtw4EFpMVHl8XGTHjS15v8c1YDCUAVCFwQjra
 dfIFTszh6g81gW/MqJcvrGL8WAhmc30ejEfz+N7f3EAqXmhLvnGhtgbfTEIQ
 wRfsY7Ho6hM96tBALDYzAcDgAFggUDA7FNdn1C4PSWalKco0golFcvj3f/oQ
 pVJ9mVLI60gnimV1CgIEQIJAAmCCEROg2j4I2u6vfbdzJwgBiMo7p8MLWZYN
 Hw+9AgzJQLmU4JJkso95Tv+ld3iPzepxPFCPIEJ8K4+F2QRGxvxQTGVPOJxm
 9O1zYW0phVy69FiSqVq9sa+QS7GClmFJaflfc7loSQLATvR9asTNfV8Ojg9C
 NikdVZAgQipexM2rG3B7LAh02QAAHp8VJ8/0wutXEd3MUz6ttRyrE8m06jMM
 gyUTm/751O3XNS1dkABIh71nz6qS+kroyBBrZ412E5cKBu5+sIn5e3GodgW+
 oArGGEK9dpx8Osx6+pwsvpVHOlZ8oFfLwFvLdhuDIGxuLZh1q/JGNDEblYEx
 rkAe5qpJB2B6UDnQbuKl2QQWZ+LoH/Lg6ef7sW/EC8YZ9h/2Y/9hP5udiOKn
 b8/T4mTsoSRTf2ewmmwgAEHhGZoCpmUgyznnPtmisM6s3opY+e50WkjoAld+
 fB/Td7YwdjzEwvvcYAwYHPNhcMzHlqbjOP+DeZq+GelIMtU7JwYmGBhTwMEM
 AvcBYHL5+IPZJVlm5S1151p1OM04eCyAfSM+7NnrhEVVHrjD6xv24OXfsrHL
 7y7S+f+eg143Z6t5UAa/fQFMkgTX4QROsEoeoPLEHUqmt8+Jp58fwPCYD6zd
 trKm5TIa5iaiWLwXp8XJOCIr6Y4lw6sERAU8sbJhwTgAyAAngsjqWokeJBlF
 4Xjuk4M4+VS47Xa42jZXM5i4skEztyNYm0+BBNUt1N0iEIjARY3Fqf7ZEDoX
 ZKSAayQDFmEQxfRikSDaS8bjs+Bznz8Kb8DaFjQJws1La/jZu4u0vph+hIXa
 WjK1ZEgQBBkckhEDQDIwY+hCmy3l8jIJqiCpH1ziHL/62pFdwUfWMvj+39+h
 tYVUW8t2LBnBmqxefc4XMyAiFjdSsxUCoLQRm3SSm2vZPEyqpWmS0XE/fLuU
 zevLaXzvG1epkC21sfqjS6aRTCafBBjy9xML60B5d0O3oj+aJkbJbDReV4dU
 axmX29IWPAC89Y93qZAptahlqnUMtaxzys/1IDkxcLFz1XlCMMSzGxCk31AU
 oQEgDoDMZrtWEsWfpTe3RG1sr8b3xZkE7UYgm9BQWwC2ju2tJANIjYBrQYv6
 Pk4Mm9n7etHQ3o/FdA0ASQCQy3Uh7OpSeYFe9PXtYYwxgMpFGCMgHStCtSus
 d8DVksDQeIClYgXE1rKVRYbdy4FKYuINktm2PrGa/h0yyUIU84m7UlxE/ngj
 dW0FgKgU9BEqSeaVHmvfF01Wq2J1OJrq9pk7UQDAnkE34w1HI6pdwaFT3ezE
 2T2se8DJvEEVFlWG1apAkhjIIBglUbNQWwOu038DEU4M07FblChsTdzL3PiL
 QiFeBKoJDGDAuPqLgx//ps3u+82DT54pJ7imChTwh1R8/OVBNno8BEl6+NN5
 XTOga+V9hKEL5FIlpLcKWJtOYu7SFq3fSzUvZgFoehHvLJ6jVCn5xcsrt9+o
 nhHVbKk2yGLqmXXLrs+bLCq32mwN4MtkcukS7l5Zx/X3l5FNaTCZJeb0WjrK
 yADAJQ7ZJEE2STBZZNhcJni6VfQd8uLIJ8IstphDbDHX5IEPo9coWtxanU9c
 /4O0Np0tm7P+VMK4tXFxvsfW8+2V6YnXnF6fJEtS26ycSRZx8a15nH9zjhxO
 MwYOeNG7z8X8PTZYbQqsdhN0zYBWNFAqGChkSmWnGgRXwIrwaPP5UGItj/W7
 qUr0wbaU0sU4ZtOTLF1K/elqWqSr4IHmkzlpv++ZroO+E9c8wa5A/+jhthVq
 R7G9toYBQ/deF0ZPh9iRZ8Owe3cOBlKbBVz/r2W6/dYK9JyoWL9MgAThvdX/
 NJLF2MVb6YsvxeNzadQcudd6AACMqejSVpez53dpQ/yH3e1lvkBPh4mplkS5
 HHD7VQyM+TBwyMsGjwZg9+yAjixmMH9lCwtXY7RyKwHotL2wa/V/K/q/lCkl
 sxFEvhCPe3K14FsRADCj3cul3zusvvRnS1N3vmZSzMzh9HZUDviCKvoP+NB/
 0MsGDvrgDlpBgpDYyGN1KonochYbMylauZ1EPqY1ZN2d6MMqBphJTmA2PUlZ
 Sv/O3aV7s8CC3oi27fG61ztkf8Lz89+yStbPDY6d5Da7p6W1rVYJ4f0e9O5z
 QTHJzCgKysSLyESLSG4UkFjLwihSva4bsmtTCCVgPjWF6/HzyJUyf7igX/i7
 jY2NfKP1dyMAAFKf67DzQODM62Zm+eX+4SPc4w7tIpnahISajIoOAO/0gYDJ
 xA18mPyAskbuT+aKd1+PRCaapLMNchcClCxulmIUe8enhK3ZROS0rutwOnxl
 1tsk2E450Jg9q4R2ya5VwpwYdF3Dpcg7YjE7XUpr8d+/vDr7nVzuTkvLd0IA
 AKhQiOvzieL5gOq+axSLz0ejK5KqOrlZtrTOoB0Brr9AwFJ6FucjPzRSpcRK
 XKx/+trKrbeB6cJu4DshULF1RF9OpaY45+esknVPNLo6msnGDIti4xZFbQDc
 XA43Aq6SgSCsZRZxKfKevpCdEnnKfmspO/Xq5Hp8Gpht+jWmVXuYWoABkPz+
 EeuQeuiUU/Z+lUE6azFZ9ZC7X/bYQnBZPJAadd2gcRIGYoVNrGfvYzEzY5So
 SDqVzqVzyW/ciNyYAlaLAIyHAfWwjQMnJL8/Y+lTD+y3c9evqdz8KUHUz5lk
 qCa7YTM7FYtkYRJkgAi60FHQcyKtxfRsKS1XftWZyFH+3GZ+9dzcVmoFuFUF
 /kCrPy6B2m8lIKy4XNwStg53u0yBpyTGRySmDHMwH2PMAYIgJlIlQ9sQRNMa
 FSc20ysXU3wrFo+LIrBQwiP8j8RHQaB2jMo4JyQgKgVgkw1vkQuhc8Y4McYp
 FksbgEMHZowGwI8EvNr+D2Go6X13krXsAAAAAElFTkSuQmCC

Package: emacs25-el
Architecture: all
Depends: emacs25 (= ${source:Version}), ${misc:Depends}
Description: GNU Emacs LISP (.el) files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the elisp sources for the convenience of users,
 saving space in the main package for small systems.
XSBC-Maemo-Display-Name: GNU Emacs LISP files
XSBC-Bugtracker: https://talk.maemo.org/showthread.php?t=88135
